Type to search.

Fetch current user information

  • GET /user
Auth

Fetch current user information.

Responses

User successfully fetched

application/json
user_name string required

The user's identifier

security object required

A user's security information

roles string[]

The set of roles assigned to a user

permissions string[]

The distinct set of permissions allowed by the user's roles. These correspond to operationId values in the OpenAPI definition.

password string

The user's password. Only used when modifying a user.

enabled boolean

True if the user is enabled

full_name string

The user's optional full name

email string

The user's optional email address

builtin boolean

True if the user is a built-in read-only user